/**
 * @file OV2640.hpp
 * @author Petr Malaník (TheColonelYoung(at)gmail(dot)com)
 * @brief
 * @version 0.1
 * @date 11.09.2022
 */

#pragma once

#include "stm32l4xx_hal.h"
#include "main.h"

#include <vector>

using namespace std;
typedef unsigned int uint;

class ButCube_imager
{
private:
    vector<UART_HandleTypeDef> uart_output_interfaces;

public:
    ButCube_imager() = default;

    int Add_output(UART_HandleTypeDef uart_output);

    int Transmit(vector<uint8_t> source);

    void Camera_power(bool state);
};
