/**
 * @file OV2640.hpp
 * @author Petr Malaník (TheColonelYoung(at)gmail(dot)com)
 * @brief
 * @version 0.1
 * @date 11.09.2022
 */

#pragma once

#include "SPI_camera.hpp"
#include "OV2640_regs.hpp"

using namespace std;
typedef unsigned int uint;

class OV2640: protected SPI_camera
{
private:

public:
    using SPI_camera::SPI_camera;

    void Init() override final;

    void Init(const vector<Register_blob_8> &regs);

    void Capture() override final;

    //vector<uint8_t> Image_data(){ return image_data; };
};


